<?php
/*********************************************************      
 程序说明：         
    功能说明：CDR列表显示
    调用关系：
    变量说明：

    作者：   
      
修改注释：      
NO.1      
姓名：            
时间：      
修改说明：      
*********************************************************/
require("../inc/include.inc");
$DEBUG = 0;
$MAX_NUM_PER_PAGE = 100;
$db='95DB_CSTA';
$displayedNum = 0;
if(!isset($date)){
	$date=date("Y-m-d",mktime(0,0,0,date("m"),date("d"),date("Y")));
}
if($DEBUG) echo "<br>date=$date";
$dateArr	= explode('-',$date);

$tableName="95dbCsta_{$dateArr[0]}_{$dateArr[1]}_{$dateArr[2]}";
$sql = "SELECT * FROM $tableName";
if($DEBUG) echo "<br>sql=$sql";
$result = @mysqli_query($pubConn,$sql);
if($DEBUG) echo '<br>'.mysqli_error($pubConn);

echo "\n <script language=\"JavaScript\">";
echo "\n <!--";
echo "\n function TableMouseOver(Obj){";
echo "\n 	Obj.style.backgroundColor='#f2f2f2';";
echo "\n }";
echo "\n function TableMouseOut(Obj){";
echo "\n 	Obj.style.backgroundColor='';";
echo "\n }";
echo "\n -->";
echo "\n </script>";

?>
<body topmargin="0" leftmargin="5">    
<br>
<table border="1" width="100%" bordercolordark="#FFFFFF" bordercolor="#808080" cellspacing="0">
  <tr bgcolor="#E6E6E6"  align="center">
    <td rowspan="2" width="6%">No.</td>
	<td rowspan="2" width="11%">HB Number</td>
    <td rowspan="2" width="12%">Active User</td>
    <td rowspan="2" width="12%">Page Visit</td>
    <td colspan="2" width="20%">Download</td>
    <td colspan="2" width="20%">Upload</td>
    <td rowspan="2" width="20%">Date</td>
  </tr>
  <tr bgcolor="#E6E6E6" align="center">
    <td>request</td>
    <td>success</td>
<!--    <td>no_credit</td>  -->
<!--    <td>net_failure</td>  -->
<!--    <td>file_exist</td>  -->
<!--    <td>auth_failure</td>  -->
<!--    <td>other_failure</td>  -->
    <td>request</td>
    <td>success</td>
<!--    <td>data_error</td>  -->
<!--    <td>net_failure</td>  -->
<!--    <td>auth_failure</td>  -->
<!--    <td>other_failure</td>  -->
  </tr>
<?php
$rowsNo = 0;
while($rows = @mysqli_fetch_array($result)){
	$rowsNo++;//$rows[timeNo]
	echo "<tr  align=\"right\" onmouseover=\"TableMouseOver(this)\" onmouseout=\"TableMouseOut(this)\">";
	echo "<td>$rowsNo </td>";
	echo "<td>$rows[hb_per_min] </td>";
	echo "<td>$rows[active] </td>";
	echo "<td>$rows[webVisit]</td>";
	echo "<td>$rows[dnRequ]</td>";
	echo "<td>$rows[dnSucc]</td>";
//	echo "<td>$rows[dnFailNoCredit]</td>";
//	echo "<td>$rows[dnFailNetfail]</td>";
//	echo "<td>$rows[dnFailFileExists]</td>";
//	echo "<td>$rows[dnFailAuthFail]</td>";
//	echo "<td>$rows[dnFailOther]</td>";
	echo "<td>$rows[upRequ]</td>";
	echo "<td>$rows[upSucc]</td>";
//	echo "<td>$rows[upFailDataError]</td>";
//	echo "<td>$rows[upFailNetFail]</td>";
//	echo "<td>$rows[upFailAuthFail]</td>";
//	echo "<td>$rows[upFailOther]</td>";
	echo "<td align=\"center\">$rows[recordTime] </td>";
	echo "</tr>";
}
?>
</table>
</body>  
  
</html>  
